# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/11/1
@desc:  常用指标实体集合
"""
import pandas as pd


class MetricTrainEntity():
    """
    模型训练结果指标类
    """

    def __init__(self, auc: float, ks: float):
        self._auc = auc
        self._ks = ks

    @property
    def auc(self):
        return self._auc

    @property
    def ks(self):
        return self._ks


class MetricFucEntity():
    """
    指标计算函数结果类
    """

    def __init__(self, table: pd.DataFrame = None, value: str = None, image_path: str = None):
        self._table = table
        self._value = value
        self._image_path = image_path

    @property
    def table(self) -> pd.DataFrame:
        return self._table

    @property
    def value(self):
        return self._value

    @property
    def image_path(self):
        return self._image_path


if __name__ == "__main__":
    pass
