# -*- coding:utf-8 -*-
"""
@author: yq
@time: 2024/1/2
@desc: 模型基类
"""
import abc

import pandas as pd

from entitys import DataFeatureEntity, MetricTrainEntity, TrainConfigEntity


class ModelBase(metaclass=abc.ABCMeta):

    def __init__(self, train_config: TrainConfigEntity):
        self._train_config = train_config

    @abc.abstractmethod
    def train(self, data: DataFeatureEntity, *args, **kwargs) -> MetricTrainEntity:
        pass

    @abc.abstractmethod
    def predict_prob(self, x: pd.DataFrame, *args, **kwargs):
        pass

    @abc.abstractmethod
    def predict(self, x: pd.DataFrame, *args, **kwargs):
        pass

    @abc.abstractmethod
    def export_model_file(self, ):
        pass
